Name:           s3switch
Version:        0.1
Release:        alt2_16.20020912
Summary:        Manage the output device on S3 Savage chips

Group:          File tools
License:        MIT
URL:            http://www.probo.com/timr/savage40.html
Source0:        http://people.freedesktop.org/~tormod/s3switch/s3switch-0.1.tar.gz
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Patch0:         %{name}-lrmi.patch

ExclusiveArch:  %{ix86}
BuildRequires:  liblrmi-devel
Requires:       %{_bindir}/consolehelper
Source44: import.info
Patch33: s3switch-0.1-alt-link.patch

%description
The S3 Savage chips have the ability to send their output to a variety
of different devices.  The Savage3D can display to a standard CRT or
to a TV.  The Savage4 and Savage2000 can display to a standard CRT or
through a digital interface to an LCD panel.  The Savage/MX and Sav-
age/IX can ship to any two of those three.
The s3switch utility is used to select the devices to be used, and the
format of the TV signal.  When invoked with no parameters, s3switch
displays the devices currently attached, and which of those devices
are currently active.  Supplying one or more of the words crt, lcd, or
tv makes those devices the active devices.  The word both is a
shortcut for the combination of crt and lcd.


%prep
%setup -q -n %{name}
%patch0 -p1
rm -f lrmi.*
%patch33 -p0


%build
make %{?_smp_mflags} CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS"


%install
install -Dpm 755 s3switch $RPM_BUILD_ROOT%{_sbindir}/s3switch
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/s3switch
install -Dpm 644 s3switch.1x $RPM_BUILD_ROOT%{_mandir}/man8/s3switch.8
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/s3switch
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/s3switch


%files
%doc copyright
%config(noreplace) %{_sysconfdir}/pam.d/s3switch
%config(noreplace) %{_sysconfdir}/security/console.apps/s3switch
%{_bindir}/s3switch
%{_sbindir}/s3switch
%{_mandir}/man8/s3switch.8*


%changelog
* Wed Aug 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_16.20020912
- build with sisyphus lrmi

* Tue Aug 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_16.20020912
- new release

